﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WebTunes
{
    [Serializable]
    public class Song
    {
        public Int64 TrackID;
        public String Name;
        public String Artist;
        public String AlbumArtist;
        public String Composer;
        public String Album;
        public String Kind;
        public String Genre;
        public Int32 Year;
        public Int32 TrackNumber;
        public Int32 TrackCount;
        public Int64 Size;
        public Int32 TotalTime;
        public DateTime Modified;
        public DateTime Added;
        public Int32 Bitrate;
        public Int32 SampleRate;
        public Int64 PlayCount;
        public DateTime PlayDate;
        public Int16 Rating;
        public String Location;
        public Int32 ArtworkCount;
        public Boolean Compilation;
        public String Comments;
        public DateTime ReleaseDate;
        public Boolean Podcast;
        public Boolean Explicit;

        public Song()
        {
            Explicit = false;
            Podcast = false;
            Compilation = false;
        }
    }
}
